summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/flowtable/0015destroy_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/flowtable/0015destroy_0')
-rwxr-xr-xtests/shell/testcases/flowtable/0015destroy_08
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/shell/testcases/flowtable/0015destroy_0 b/tests/shell/testcases/flowtable/0015destroy_0
index d2a87da0..cea33524 100755
--- a/tests/shell/testcases/flowtable/0015destroy_0
+++ b/tests/shell/testcases/flowtable/0015destroy_0
@@ -2,6 +2,11 @@
# NFT_TEST_REQUIRES(NFT_TEST_HAVE_destroy)
+trap "ip link del dummy1" EXIT
+
+ip link add dummy1 type dummy
+ip link set dummy1 up
+
$NFT add table t
# pass for non-existent flowtable
@@ -9,4 +14,7 @@ $NFT destroy flowtable t f
# successfully delete existing flowtable
$NFT add flowtable t f '{ hook ingress priority 10; devices = { lo }; }'
+
+$NFT 'add flowtable t f { devices = { dummy1 } ; }'
+
$NFT destroy flowtable t f